Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libgupnp-igd-1_0-4-32bit-0.2.5-8.62 RPM for x86_64

From OpenSuSE Leap 15.3 for x86_64

Name: libgupnp-igd-1_0-4-32bit Distribution: SUSE Linux Enterprise 15
Version: 0.2.5 Vendor: SUSE LLC <https://www.suse.com/>
Release: 8.62 Build date: Tue Jun 9 23:54:29 2020
Group: Development/Libraries/C and C++ Build host: sheep91
Size: 34604 Source RPM: gupnp-igd-0.2.5-8.62.src.rpm
Packager: https://www.suse.com/
Url: https://wiki.gnome.org/Projects/GUPnP
Summary: Library to handle UPnP IGD port mapping
GUPnP-IGD is a library to handle UPnP IGD port mapping. It is supposed
to have a very simple API.

Provides

Requires

License

LGPL-2.1-or-later

Changelog

* Sun Jan 06 2019 bjorn.lie@gmail.com
  - Add gupnp-igd-port-to-new-gupnp-api.patch: Port to new GUPnP API.
  - Following the above patch, replace pkgconfig(gssdp-1.0) and
    pkgconfig(gupnp-1.0) with pkgconfig(gssdp-1.2) and
    pkgconfig(gupnp-1.2) and add libtool BuildRequires aswell as pass
    autoreconf, as the patch touches the  buildsystem.
* Sat Jan 05 2019 bjorn.lie@gmail.com
  - Add gupnp-igd-free-GStaticMutex-in-AddRemoveData.patch: Free
    GStaticMutex in AddRemoveData. Fixes a memory leak reported by
    valgrind.
  - Modernize spec.
* Wed Feb 28 2018 dimstar@opensuse.org
  - Modernize spec-file by calling spec-cleaner
* Mon Nov 20 2017 luc14n0@linuxmail.org
  - Update to version 0.2.5:
    + Update gtk-doc to newer version to fix build failures.
  - Update Url to https://wiki.gnome.org/Projects/GUPnP: current
    GUPnP's web page.
* Tue Feb 28 2017 zaitor@opensuse.org
  - Drop pkgconfig(pygobject-2.0) and pkgconfig(pygtk-2.0)
    BuildRequires: Follow upstream who have had python-bindings
    disabled by default since version 0.2.3. pygobject-2.0 and
    pygtk-2.0 are considered deprecated, and we want to minimize our
    dependencies on these old bindings.
  - Following the above, drop no longer built sub-package
    python-gupnp-igd, and obsolete it from the main library.
  - Run spec-cleaner, modernize spec, adds pkgconfig BuildRequires
    and drops obsolete clean section.
* Fri Apr 15 2016 mgorse@suse.com
  - Update to GNOME 3.20  Fate#318572
* Sat Jan 02 2016 zaitor@opensuse.org
  - Replace *-devel BuildRequires for their pkgconfig counterpart:
    gobject-introspection-devel for
    pkgconfig(gobject-introspection-1.0),
    gtk-doc for pkgconfig(gtk-doc),
    libgupnp-devel for pkgconfig(gupnp-1.0),
    and python-gobject2-devel for pkgconfig(pygobject-2.0).
  - Replace python-devel for pkgconfig(pygtk-2.0), as this is what
    configure really looks for.
  - Add explicit pkgconfig(glib-2.0), pkgconfig(gobject-2.0),
    pkgconfig(gthread-2.0) and pkgconfig(gssdp-1.0) BuildRequires:
    align with what configure looks for.
* Thu Oct 16 2014 hrvoje.senjan@gmail.com
  - Add baselibs.conf: provide multi-arch packages.
* Wed Oct 01 2014 dimstar@opensuse.org
  - Update to version 0.2.4:
    + Add API to delete mapping by internal IP/port instead of the
      external one.
* Thu Feb 06 2014 dimstar@opensuse.org
  - Update to version 0.2.3:
    + Emit errors as boxed types.
    + Various build improvements.
    + Make tests less racy.
  - Pass --enable-python to configure in order to ensure the python
    bindings to be built.

Files

/usr/lib/libgupnp-igd-1.0.so.4
/usr/lib/libgupnp-igd-1.0.so.4.2.0


Generated by rpm2html 1.8.1

Fabrice Bellet, Mon Jan 9 15:58:47 2023